%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  gnmregi_a.m
%%  Ausgabedatei zu gnmregi.mdl
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure
    subplot(211)
    plot(t,N*60)
    title('Drehzahl N [U/min]')

    subplot(212)
    plot(t,IA,t,IAsoll,'r--')
    title('Ankerstrom IA und Sollwert IAsoll [A]')
    ax=axis; axis([ax(1) ax(2) ax(3) 1.1*ax(4)])
    xlabel('Zeit t')
    legend('IA','IAsoll',1)

if exist('druck') == 1 , print -depsc p_gnmregi_nia.eps , end
if exist('druck') == 1 , print -deps p_gnmregi_nia_sw.eps , end
                         

[A,B,C,D] = linmod('gnmregi')      % Linearisieren des Simulink-Modells
sysgnmregi = ss (A,B,C,D) ;        % Erzeugen eines LTI-Modells

figure
    bode(sysgnmregi(2,2))
    h_xycolor = findobj(gcf,'XColor',[0.4 0.4 0.4]);
    for nn=1:1:length(h_xycolor)
        set(h_xycolor(nn),'Xcolor',[0 0 0],'Ycolor',[0 0 0])
    end
  
if exist('druck') == 1 , print -depsc p_gnmregi_bode.eps , end
if exist('druck') == 1 , print -deps p_gnmregi_bode_sw.eps , end
