%%  gnmregn_a.m
%%  Kap. 11.3.2
%%  Ausgabedatei zu gnmregn.mdl

figure
    subplot(211)
    plot(t,60*N,t,60*Nsoll,'r--')
    axis([0.0 0.01 0 800])
    title('Drehzahl N und Sollwert Nsoll [U/min]')
    legend('N','Nsoll',1)

    subplot(212)
    plot(t,IA,t,IAsoll,'r--')
    title('Ankerstrom IA und Sollwert IAsoll [A]')
    ax=axis; axis([0.0 0.01 -500 1500])
    xlabel('Zeit t')
    legend('IA','IAsoll',1)

if exist('druck') == 1 , print -depsc p_gnmregn_nia.eps , end
if exist('druck') == 1 , print -deps p_gnmregn_nia_sw.eps , end

figure
    subplot(211)
    plot(t,60*N,t,60*Nsoll,'r--')
    axis([0.095 0.11 450 550])
    title('Drehzahl N und Sollwert Nsoll [U/min]')
    legend('N','Nsoll',1)

    subplot(212)
    plot(t,IA,t,IAsoll,'r--')
    title('Ankerstrom IA und Sollwert IAsoll [A]')
    axis([0.095 0.11 0 120])
    xlabel('Zeit t')
    legend('IA','IAsoll',1)

if exist('druck') == 1 , print -depsc p_gnmregn_niamw.eps , end
if exist('druck') == 1 , print -deps p_gnmregn_niamw_sw.eps , end

[A,B,C,D] = linmod('gnmregn')       % Linearisieren des Simulink-Modells
sysgnmregn = ss (A,B,C,D) ;         % Erzeugen eines LTI-Modells

figure
  margin(sysgnmregn(1,3))

if exist('druck') == 1 , print -depsc p_gnmregn_margin.eps , end
if exist('druck') == 1 , print -deps p_gnmregn_margin_sw.eps , end
