%%  lsg_system_ini.m
%%  Kap 11.7.2
%%  Initialisierungsdatei zu system_bsp.mdl

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Es handelt sich hier nicht um ein technisches System, sondern um 
% ein fiktives System, an dem der Regelungsentwurf in Matlab und die
% Simulation in Simulink eingebt werden soll
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Tstop = 20;
max_step = 0.001;

% Regelstrecke
z = [1 1];                    % zeros
p = [-2 -3+10*i -3-10*i];     % poles
g = 2;                        % gain

% Rckfhrung des Systems (dies ist noch kein Regler !!!)
num = 2;
den = [0.02 1];

% Verstrkung
verst = 100;

% Lineare Systemanalyse mit linmod

[A,B,C,D] = linmod('system_bsp');    % Systemmatrizen extrahieren
sys_strecke = ss(A,B,C,D);           % ss-Objekt erstellen

% Simulation starten
sim('system_bsp')

% Sprungantwort mit Simulink und durch den Befehl step
figure
subplot(2,2,1)
plot(t,y); grid on;axis([0 6 -20 20]);
xlabel('Zeit [s]'); ylabel('y');
subplot(222)
step(sys_strecke);grid on;
% print -depsc sprung_system.eps

% Bodediagramm mit dem Befehl bode
figure
bode(sys_strecke)
% print -depsc bode_system.eps
